<?php
///////////////////////////////////
//
//       SH-Member Pages
//          1.0 Light
//
// Original taken from SH-News 3.0
//
// Author: Stephan Hse
// eMail: stephan@yarck.de
// Homepage: http://yarck.de
//
// File Version: 1.0
// Created: 6. Feb 2003
// Last modified: 16. Feb 2003
///////////////////////////////////


function bbc($post)
 {
  $post = htmlspecialchars($post);

  $post = preg_replace("/\[b\](.*?)\[\/b\]/si", "<b>\\1</b>", $post);
  $post = preg_replace("/\[i\](.*?)\[\/i\]/si", "<i>\\1</i>", $post);
  $post = preg_replace("/\[u\](.*?)\[\/u\]/si", "<u>\\1</u>", $post);
  $post = preg_replace("/\[img\](.*?)\[\/img\]/si", "<img src=\"\\1\" border=\"0\">", $post);
  $post = preg_replace("/\[email\](.*?)\[\/email\]/si", "<a href=mailto:\\1>\\1</a>", $post);
  $post = preg_replace("/\[code\](.*?)\[\/code\]/si", "<pre>\\1</pre>", $post);

  $post = preg_replace("/\[url\](.*?)\[\/url\]/si", "<a href=http://\\1 target=_blank>\\1</a>", $post);
  $post = preg_replace("/\[url=(.*?)\](.*?)\[\/url\]/si", "<a href=\\1 target=_blank>\\2</a>", $post);
  $post = preg_replace("/\[a=(.*?)\](.*?)\[\/a\]/si", "<a href=\"\\1\" target=_blank>\\2</a>", $post);

  $post = preg_replace("/\[sub\](.*?)\[\/sub\]/si", "<sub>\\1</sub>", $post);
  $post = preg_replace("/\[sup\](.*?)\[\/sup\]/si", "<sup>\\1</sup>", $post);
  $post = preg_replace("/\[li\](.*?)\[\/li\]/si", "<li>\\1</li>", $post);

  $post = preg_replace("/\[color=(.*?)\](.*?)\[\/color\]/si", "<font color=\"\\1\">\\2</font>", $post);

  $post = preg_replace("/\[class=(.*?)\](.*?)\[\/class\]/si", "<span class=\"\\1\">\\2</span>", $post);

return $post;

 }

?>
